Subject: Re: ARM-Linux for the A5000

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sat, 17 Jan 1998 18:57:01 +0000 (GMT)

David Woodhouse writes:
> init=/bin/bash causes it to hang.
> init=/bin/ash works. Thereafter, running bash causes an "Illegal instruction"

Bash *needs* the FPEmulator module loaded in order to run.

> > *All* applications should run on an ARM3, and up.  Which binaries
> > don't run? 
> 
> Illegal instruction: bash, talk, make

See above - these also need the FPE.

> Can I (cross-)compile standard mount utils and use them on the ARM? What about 
> mkswap'ing on an i386 - would the resulting partition be usable on the ARM?

mkswap is quite different on the ARM - the swap file is page size dependent.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King        [email-masked]        --- ---
  | | | |    http://www.arm.uk.linux.org/~rmk/home.html      /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]